AbstractTransactionState (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: AbstractTransactionState

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class AbstractTransactionState<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.AbstractTransactionState<T>

public abstract class AbstractTransactionState<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation> extends Object
Abstract superclass for the states a DataSetRegistrationTransaction can be in.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AbstractTransactionState.LiveTransactionRollbackDelegate`
  Rollback stack delegate that checks whether the given filesystem is accessible before letting the rollback continue.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final DataSetRegistrationTransaction<T>`
  `parent`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractTransactionState(DataSetRegistrationTransaction<T> parent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isCommitted()`
  `boolean`
  `isRecoveryPending()`
  `boolean`
  `isRolledback()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parent

    protected final DataSetRegistrationTransaction<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation> parent

- ## Constructor Details

  - ### AbstractTransactionState

    protected AbstractTransactionState(DataSetRegistrationTransaction<T> parent)

- ## Method Details

  - ### isCommitted

    public boolean isCommitted()

  - ### isRolledback

    public boolean isRolledback()

  - ### isRecoveryPending

    public boolean isRecoveryPending()